diff -urN xset.orig/Makefile.am xset/Makefile.am
--- xset.orig/Makefile.am	1970-01-01 01:00:00.000000000 +0100
+++ xset/Makefile.am	2004-08-14 16:32:10.000000000 +0200
@@ -0,0 +1,53 @@
+# 
+#  $Id: Makefile.am,v 1.2 2004/06/25 19:38:50 markh Exp $
+# 
+#  Copyright © 2003 Keith Packard
+# 
+#  Permission to use, copy, modify, distribute, and sell this software and its
+#  documentation for any purpose is hereby granted without fee, provided that
+#  the above copyright notice appear in all copies and that both that
+#  copyright notice and this permission notice appear in supporting
+#  documentation, and that the name of Keith Packard not be used in
+#  advertising or publicity pertaining to distribution of the software without
+#  specific, written prior permission.  Keith Packard makes no
+#  representations about the suitability of this software for any purpose.  It
+#  is provided "as is" without express or implied warranty.
+# 
+#  KEITH PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+#  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
+#  EVENT SHALL KEITH PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+#  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
+#  DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
+#  TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+#  PERFORMANCE OF THIS SOFTWARE.
+#
+
+AUTOMAKE_OPTIONS = 1.7 foreign
+
+AM_CFLAGS = @XSET_CFLAGS@
+
+bin_PROGRAMS = xset
+
+xset_SOURCES = xset.c
+
+xset_LDADD = @XSET_LIBS@
+
+man5_MANS=xset.man
+
+EXTRA_DIST= $(man5_MANS)
+
+MAINTAINERCLEANFILES = configure \
+config.guess \
+config.sub \
+install-sh \
+ltmain.sh \
+missing \
+mkinstalldirs \
+aclocal.m4 \
+Makefile.in \
+depcomp \
+autoscan.log \
+configure.scan \
+config.h \
+config.h.in \
+$(man5_MANS)
diff -urN xset.orig/autogen.sh xset/autogen.sh
--- xset.orig/autogen.sh	1970-01-01 01:00:00.000000000 +0100
+++ xset/autogen.sh	2004-08-14 16:27:56.000000000 +0200
@@ -0,0 +1,3 @@
+#! /bin/sh
+autoreconf -v --install || exit 1
+./configure --enable-maintainer-mode "$@"
diff -urN xset.orig/configure.ac xset/configure.ac
--- xset.orig/configure.ac	1970-01-01 01:00:00.000000000 +0100
+++ xset/configure.ac	2004-08-17 14:21:25.000000000 +0200
@@ -0,0 +1,41 @@
+dnl
+dnl $Id: configure.ac,v 1.1 2003/10/09 06:16:59 keithp Exp $
+dnl
+dnl Copyright © 2003 Keith Packard
+dnl
+dnl Permission to use, copy, modify, distribute, and sell this software and its
+dnl documentation for any purpose is hereby granted without fee, provided that
+dnl the above copyright notice appear in all copies and that both that
+dnl copyright notice and this permission notice appear in supporting
+dnl documentation, and that the name of Keith Packard not be used in
+dnl advertising or publicity pertaining to distribution of the software without
+dnl specific, written prior permission.  Keith Packard makes no
+dnl representations about the suitability of this software for any purpose.  It
+dnl is provided "as is" without express or implied warranty.
+dnl
+dnl KEITH PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
+dnl INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
+dnl EVENT SHALL KEITH PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR
+dnl CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
+dnl DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
+dnl TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
+dnl PERFORMANCE OF THIS SOFTWARE.
+dnl
+
+AC_PREREQ(2.57)
+AC_INIT([xset],4.4.0,[],xset)
+AC_CONFIG_SRCDIR([Makefile.am])
+AM_INIT_AUTOMAKE([dist-bzip2])
+AM_MAINTAINER_MODE
+AM_CONFIG_HEADER(config.h)
+
+AC_PROG_CC
+AC_PROG_INSTALL
+AC_PROG_LN_S
+AC_LIBTOOL_WIN32_DLL
+AM_PROG_LIBTOOL
+AC_PROG_MAKE_SET
+
+PKG_CHECK_MODULES(XSET, xext xextensions xmuu x11)
+
+AC_OUTPUT([Makefile])
